<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAdsPostsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ads_posts', function (Blueprint $table) {
        $table->id();
        $table->integer('userID');
        $table->string('ads_title');
        $table->text('adsLink');
        $table->integer('worker');
        $table->string('cost');
        $table->string('duration');
        $table->string('slug')->unique();
        $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ads_posts');
    }
}
